searchNodes=[{"ref":"Mix.Secrex.html","title":"Mix.Secrex","type":"module","doc":"Utility functions to work with secret files."},{"ref":"Mix.Secrex.html#secret_files_changed?/0","title":"Mix.Secrex.secret_files_changed?/0","type":"function","doc":"Checks if the local decrypted files are in sync with the encrypted ones. This could be useful in deployment process. For instance, to abort deployment if secrets diverge: if Mix.Secrex.secret_files_changed?() do Mix.raise( &quot;Secret files are not in sync. Please run \\&quot;mix secrex.decrypt\\&quot; to retrieve latest updates.&quot; ) end"},{"ref":"Mix.Tasks.Secrex.Decrypt.html","title":"Mix.Tasks.Secrex.Decrypt","type":"task","doc":"Decrypts secrets to the configured files."},{"ref":"Mix.Tasks.Secrex.Encrypt.html","title":"Mix.Tasks.Secrex.Encrypt","type":"task","doc":"Encrypts secrets to the configured files."},{"ref":"Secrex.html","title":"Secrex","type":"module","doc":"Simple and secure secrets manager fo Elixir projects. Configuration Secrets requires some configurations to work. Add this to your config.exs: config :secrex, key_file: &quot;.secrets_key&quot;, files: [&quot;config/env/prod.secret.exs&quot;] Supported options key_file - path to the key file used for encryption and decryption. If not set, you will be prompted to enter a key. files - list of files to be encrypted and decrypted."},{"ref":"Secrex.Cipher.html","title":"Secrex.Cipher","type":"behaviour","doc":""},{"ref":"Secrex.Cipher.html#c:decrypt/2","title":"Secrex.Cipher.decrypt/2","type":"callback","doc":""},{"ref":"Secrex.Cipher.html#c:encrypt/2","title":"Secrex.Cipher.encrypt/2","type":"callback","doc":""},{"ref":"Secrex.Cipher.html#t:ciphertext/0","title":"Secrex.Cipher.ciphertext/0","type":"type","doc":""},{"ref":"Secrex.Cipher.html#t:key/0","title":"Secrex.Cipher.key/0","type":"type","doc":""},{"ref":"Secrex.Cipher.html#t:plaintext/0","title":"Secrex.Cipher.plaintext/0","type":"type","doc":""},{"ref":"readme.html","title":"Secrex","type":"extras","doc":"Secrex Simple and secure secrets manager in Elixir projects"},{"ref":"readme.html#installation","title":"Secrex - Installation","type":"extras","doc":"The package can be installed by adding secrex to our list of dependencies in mix.exs: def deps do [ {:secrex, &quot;~&gt; 0.1&quot;, runtime: false} ] end For usage information see the documentation."},{"ref":"readme.html#mix-tasks","title":"Secrex - Mix tasks","type":"extras","doc":"There are two Mix tasks available: mix secrex.encrypt mix secrex.decrypt Secrex requires some configuration in order to work. For example, in config/config.exs: config :secrex, key_file: &quot;.secret-key&quot;, files: [&quot;config/env/prod.secret.exs&quot;] key_file is a path to the key file that will be used for encryption and decryption if this is not configured, you will be prompted to enter it later files is a list of files that needs to be encrypted and decrypted"},{"ref":"readme.html#license","title":"Secrex - License","type":"extras","doc":"This software is licensed under the ISC license."},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog"},{"ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras","doc":"Fixed Mix.Secrex.secret_files_changed?/0"},{"ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras","doc":"Improved error messages"},{"ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras","doc":"Initial release"}]